local colorShemes = {}

--internal schemes
colorShemes.Light = "schemes/light.lua"
colorShemes.Dark = "schemes/dark.lua"

--load external schemes if it exists
local extSchemesFile = loadfile("extschemes.lua");
if extSchemesFile ~= nil then
    local extSchemes = extSchemesFile()
    for k, v in pairs(extSchemes) do
        colorShemes[k] = v
    end
end

return colorShemes