--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-9
-- Time: 16:37
-- To change this template use File | Settings | File Templates.
--
local MAT = luajava.bindClass("jscintilla.lexers.matlab")
local keywords = {}

keywords[1] = [[
__FILE__ __LINE__ break case catch classdef
continue do else elseif end end_try_catch
end_unwind_protect endclassdef endenumeration endevents endfor endif
endmethods endparfor endproperties endswitch endwhile enumeration
events for function endfunction get global if
methods otherwise parfor persistent properties return
set static switch try until unwind_protect
unwind_protect_cleanup while
]]


local style = {}

--style[MAT.DEFAULT] =
style[MAT.COMMENT] = createStyle(fonts.comment, colors.codeCommentLine, {})
style[MAT.COMMAND] = colors.preproc
style[MAT.NUMBER] = colors.number
style[MAT.KEYWORD] = colors.keyword
style[MAT.STRING] = colors.string
style[MAT.OPERATOR] = colors.operator
--style[MAT.IDENTIFIER] =
style[MAT.DOUBLEQUOTESTRING] = colors.string



local properties = {}

return function() return keywords, style, properties end

