--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-20
-- Time: 5:33
-- To change this template use File | Settings | File Templates.
--

local PAS = luajava.bindClass("jscintilla.lexers.pas")
local keywords = {}

keywords[1] = [[
absolute abstract and array as asm assembler automated begin case
cdecl class const constructor delayed deprecated destructor dispid dispinterface
div do downto dynamic else end except experimental export exports external far
file final finalization finally for forward function goto helper if
implementation in inherited initialization inline interface is label library
message mod near nil not object of on operator or out overload override packed
pascal platform private procedure program property protected public published
raise record reference register reintroduce repeat resourcestring safecall
sealed set shl shr static stdcall strict string then threadvar to try type unit
unsafe until uses var varargs virtual while winapi with xor

]]



local style = {}

--style[PAS.DEFAULT] =
--style[PAS.IDENTIFIER] =
--Comment: { ... }
style[PAS.COMMENT] = createStyle(fonts.comment, colors.codeCommentBox, {})
--Comment: (* ... *)
style[PAS.COMMENT2] = createStyle(fonts.comment, colors.codeCommentBox, {})
--Line Comment: // ...
style[PAS.COMMENTLINE] = createStyle(fonts.comment, colors.codeCommentLine, {})
--Preprocessor: {$ ... }
style[PAS.PREPROCESSOR] = colors.preproc
--Preprocessor: (*$ ... *)
style[PAS.PREPROCESSOR2] = colors.preproc
style[PAS.NUMBER] = colors.number
style[PAS.HEXNUMBER] = colors.number
style[PAS.WORD] = createChild(colors.keyword, {
    bold = true
})
style[PAS.STRING] = colors.string
style[PAS.STRINGEOL] = createChild(colors.string, {
    back = 0xE0C0E0,
    eolfilled = true
})
style[PAS.CHARACTER] = colors.char
--style[PAS.OPERATOR] =
--Inline Asm
style[PAS.ASM] = {
    fore = 0x804080
}

editor.settings.indent.starts = { "case", "class", "do", "else", "for", "then", "repeat", "try", "while" }
editor.settings.indent.ends = { "end" }

local properties = {}

return function() return keywords, style, properties end
