--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-9
-- Time: 12:32
-- To change this template use File | Settings | File Templates.
--

local HA = luajava.bindClass("jscintilla.lexers.ha")
local keywords = {}

keywords[1] = [[
case class data default deriving do else hiding if
import in infix infixl infixr instance let module
newtype of then type where forall foreign
]]
keywords[2] = [[
export label dynamic safe threadsafe
unsafe stdcall ccall prim
]]


local style = {}


--style[HA.DEFAULT ] =
--style[HA.IDENTIFIER ] =
style[HA.KEYWORD] = colors.keyword
style[HA.NUMBER] = colors.number
style[HA.STRING] = colors.string
style[HA.CHARACTER] = colors.string
--class: error not implemented
style[HA.CLASS] = {
    back = 0xFF0000,
}
--style[HA.MODULE] =
--style[HA.CAPITAL] =
--data: error not implemented
style[HA.DATA] = {
    back = 0xFF0000,
}
--import: error not implemented
style[HA.IMPORT] = {
    back = 0xFF0000,
}
style[HA.OPERATOR] = colors.operator
--instance: error not implemented
style[HA.INSTANCE] = {
    back = 0xFF0000,
}
style[HA.COMMENTLINE] = createStyle(fonts.comment, colors.codeCommentLine, {})
style[HA.COMMENTBLOCK] = createStyle(fonts.comment, colors.codeCommentBox, {})
style[HA.COMMENTBLOCK2] = createStyle(fonts.comment, colors.codeCommentBox, {})
style[HA.COMMENTBLOCK3] = createStyle(fonts.comment, colors.codeCommentBox, {})
style[HA.PRAGMA] = {
    fore = 0xBF6F00,
}
style[HA.PREPROCESSOR] = colors.preproc
--End of line where string is not closed
style[HA.STRINGEOL] = {
    fore = 0x000000,
    back = 0xE0C0E0,
    eolfilled = true
}
style[HA.RESERVED_OPERATOR] = {
    back = 0xFF8080,
}
style[HA.LITERATE_COMMENT] = {
    fore = 0xDD9900,
    italics = true
}
style[HA.LITERATE_CODEDELIM] = {
    fore = 0xEE00AA,
}




local properties = {}

return function() return keywords, style, properties end

