--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-8
-- Time: 20:22
-- To change this template use File | Settings | File Templates.
--

local LISP = luajava.bindClass("jscintilla.lexers.lisp")
local keywords = {}


keywords[1] = [[
not defun + - * / = < > <= >= princ
eval apply funcall quote identity function complement backquote lambda set setq setf
defun defmacro gensym make symbol intern symbol name symbol value symbol plist get
getf putprop remprop hash make array aref car cdr caar cadr cdar cddr caaar caadr cadar
caddr cdaar cdadr cddar cdddr caaaar caaadr caadar caaddr cadaar cadadr caddar cadddr
cdaaar cdaadr cdadar cdaddr cddaar cddadr cdddar cddddr cons list append reverse last nth
nthcdr member assoc subst sublis nsubst  nsublis remove length list length
mapc mapcar mapl maplist mapcan mapcon rplaca rplacd nconc delete atom symbolp numberp
boundp null listp consp minusp zerop plusp evenp oddp eq eql equal cond case and or let l if prog
prog1 prog2 progn go return do dolist dotimes catch throw error cerror break
continue errset baktrace evalhook truncate float rem min max abs sin cos tan expt exp sqrt
random logand logior logxor lognot bignums logeqv lognand lognor
logorc2 logtest logbitp logcount integer length nil
]]


local style = {}

--style[LISP.DEFAULT ] =
style[LISP.COMMENT] = createStyle(fonts.comment, colors.codeCommentLine, {})
style[LISP.NUMBER] = colors.number
--Keyword
style[LISP.KEYWORD] = createChild(colors.keyword, {
    bold = true
})
--Keyword 2
style[LISP.KEYWORD_KW] = {
    fore = 0xEE00AA,
}
--Symbol
style[LISP.SYMBOL] = {
    fore = 0xDD9900,
}
style[LISP.STRING] = colors.string
--End of line where string is not closed
style[LISP.STRINGEOL] = {
    fore = 0x000000,
    back = 0xFEFECC,
    eolfilled = true
}
--Identifiers
--style[LISP.IDENTIFIER] =
style[LISP.OPERATOR] = colors.operator
style[LISP.SPECIAL] = {
    fore = 0x60AA00,
}
style[LISP.MULTI_COMMENT] = createStyle(fonts.comment, colors.codeCommentBox, {})


wordCharacters = characters.alpha .. characters.numeric .. "_-<>.#+@$%^&=*!?"

local properties = {}

return function() return keywords, style, properties end
