--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-9
-- Time: 23:29
-- To change this template use File | Settings | File Templates.
--

local MD = luajava.bindClass("jscintilla.lexers.markdown")
local keywords = {}


local style = {}

--style[MD.DEFAULT] =
--Special, e.g.end - of - line codes if enabled
style[MD.LINE_BEGIN] = {}

--STRONG * * double asterisk * *
style[MD.STRONG1] = {
    fore = 0x224466,
    bold = true
}
--STRONG 2 (not used)
--style[MD.STRONG2] =
style[MD.EM1] = {
    fore = 0x663300,
    italics = true
}
--EM1 * single asterisk *
style[MD.EM2] = {
    fore = 0x663300,
    italics = true
}
style[MD.HEADER1] = {
    fore = 0xFF7700,
    bold = true
}
style[MD.HEADER2] = {
    fore = 0xDD6600,
    bold = true
}
style[MD.HEADER3] = {
    fore = 0xBB5500,
    bold = true
}
style[MD.HEADER4] = {
    bold = true
}
style[MD.HEADER5] = {
    bold = true
}
style[MD.HEADER6] = {
    bold = true
}
--prechar(up to three indent spaces , eg for a second - level list)
style[MD.PRECHAR] = {
    fore = 0x000000,
--    back = 0xEEEEAA,
}
--list
style[MD.ULIST_ITEM] = {
    fore = 0x33CC00,
}
--style[MD.OLIST_ITEM] =
--style[MD.BLOCKQUOTE] =
--style[MD.STRIKEOUT] =
style[MD.HRULE] = {
    fore = 0x555555,
}
--LINK
style[MD.LINK] = {
    fore = 0x0000AA,
}
--CODE ` single backticks `
style[MD.CODE] = {
    fore = 0x7F007F,
--    back = 0xEFFFEF,
}
--ODE2 ` ` double backticks ` ` (quotes code containing a single backtick)
style[MD.CODE2] = {
    fore = 0x7F007F,
--    back = 0xEFFFEF,
}
--style[MD.CODEBK] =




local properties = {}

return function() return keywords, style, properties end


