--
-- Created by IntelliJ IDEA.
-- User: mao
-- Date: 20-6-9
-- Time: 20:39
-- To change this template use File | Settings | File Templates.
--


local H = luajava.bindClass("jscintilla.lexers.h")
local keywords = {}



local style = {}

--style[H.DEFAULT] =
--style[H.TAG] =
style[H.TAGUNKNOWN] = {
    fore = 0xFF0000,
}
style[H.ATTRIBUTE] = {
    fore = 0x008080,
}
style[H.ATTRIBUTEUNKNOWN] = {
    fore = 0xFF0000,
}
style[H.NUMBER] = colors.number
style[H.DOUBLESTRING] = colors.string
style[H.SINGLESTRING] = colors.char
--Other inside tag, including space and '='
style[H.OTHER] = {
    fore = 0x800080,
}
style[H.COMMENT] = createStyle(fonts.comment, colors.codeCommentLine, {})
style[H.ENTITY] = {
    fore = 0x800080,
}
--XML style tag ends '/>'
style[H.TAGEND] = {
    fore = 0x000080,
}
--XML identifier start '<?'
style[H.XMLSTART] = {
    fore = 0x0000FF,
}
--XML identifier end '?>'
style[H.XMLEND] = {
    fore = 0x0000FF,
}
--Internal state which should never be visible
style[H.SCRIPT] = {
    back = 0xFF0000,
}
--ASP < %... % >
style[H.ASP] = {
    back = 0xFFFF00,
}
--ASP < %... % >
style[H.ASPAT] = {
    back = 0xFFDF00,
}
style[H.CDATA] = {
    back = 0xFFDF00,
}
--php
style[H.QUESTION] = {
    fore = 0x0000FF,
    back = 0xFFEFBF,
}
--Unquoted values
style[H.VALUE] = {
    fore = 0xFF00FF,
    back = 0xFFEFFF,
}
--JSP Comment < % -- ... --%>
style[H.XCCOMMENT] = {
    fore = 0x000000,
    back = 0xFFFFD0,
}
--SGML tags < !... >
style[H.SGML_DEFAULT] = {
    fore = 0x000080,
}
--SGML command
style[H.SGML_COMMAND] = {
    fore = 0x000080,
    bold = true
}
style[H.SGML_1ST_PARAM] = {
    fore = 0x006600,
}
style[H.SGML_DOUBLESTRING] = {
    fore = 0x800000,
}
style[H.SGML_SIMPLESTRING] = {
    fore = 0x993300,
}
style[H.SGML_ERROR] = {
    fore = 0x800000,
    back = 0xFF6666,
}
--SGML special (#XXXX type)
style[H.SGML_SPECIAL] = {
    fore = 0x3366FF,
}
style[H.SGML_ENTITY] = {
    fore = 0x333333,
}
style[H.SGML_COMMENT] = {
    fore = 0x808000,
}
style[H.SGML_1ST_PARAM_COMMENT] = {
    fore = 0x808000,
    back = 0xFF0000,
}
style[H.SGML_BLOCK_DEFAULT] = {
    fore = 0x000066,
    back = 0xCCCCE0,
}

wordCharacters = characters.alpha .. characters.numeric .. "_-"


local properties = {}

return function() return keywords, style, properties end

